Mesh layers could show 'mesh' icon in Layers panel?

2018-12-04 05:45 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: Data Provider/MDAL

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Easy fix?: Yes Copied to github as #: 28542

Description

While not important for usability...

See screenshot: both raster and vectorlayer have an icon in the 'Layers panel'.

In the browser a mesh layer has a nice looking unique icon (upper part of screenshot). 

Would be cool if that icons was also to be used in the Layers panel.

Or is there a special reason to NOT use it there?

History

#1 - 2019-01-25 03:02 PM - Peter Petrik

- Resolution set to fixed/implemented

- Easy fix? changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/8983

#2 - 2019-01-25 03:19 PM - Peter Petrik

- Status changed from Open to In Progress

#3 - 2019-02-01 03:39 PM - Peter Petrik

- Status changed from In Progress to Closed

https://github.com/qgis/QGIS/pull/8983
